	.file	"echo.c"
	.section	.rodata
.LC0:
	.string	"server received %d bytes\n"
	.text
.globl echo
	.type	echo,@function
echo:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$16440, %esp
	movl	8(%ebp), %eax
	movl	%eax, 4(%esp)
	leal	-16424(%ebp), %eax
	movl	%eax, (%esp)
	call	Rio_readinitb
.L6:
	movl	$8192, 8(%esp)
	leal	-8216(%ebp), %eax
	movl	%eax, 4(%esp)
	leal	-16424(%ebp), %eax
	movl	%eax, (%esp)
	call	Rio_readlineb
	movl	%eax, -12(%ebp)
	movl	-12(%ebp), %eax
	testl	%eax, %eax
	jne	.L8
	jmp	.L5
.L8:
	movl	-12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	$.LC0, (%esp)
	call	printf
	movl	-12(%ebp), %eax
	movl	%eax, 8(%esp)
	leal	-8216(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	Rio_writen
	jmp	.L6
.L5:
	leave
	ret
.Lfe1:
	.size	echo,.Lfe1-echo
	.ident	"GCC: (GNU) 3.2.3"
